#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <ctype.h>

int main()
{

    char linha[100];

    while (1)
    {
        fgets(linha, 100, stdin);
        linha[strlen(linha) - 1] = '\0';

        if (strcmp(linha, "0") == 0)
        {
            break;
        }

        int n[atoi(linha)];

        fgets(linha, 100, stdin);
        //linha[strlen(linha) - 1] = '\0';

        int i = 0;

        char *temp0 = strtok(linha, " ");
        if (temp0 == NULL)
        {
            return -1;
        }
        while (temp0 != NULL)
        {
            if (temp0 != NULL)
            {
                n[atoi(temp0) - 1] = 1;

                temp0 = strtok(NULL, " ");

                if (n[i] != 1)
                {
                    n[i] = 0;
                }
                i++;
            }
        }

        int length_n = sizeof(n) / sizeof(n[0]);

        for (int i = 0; i < length_n; i++)
        {
            if (n[i] == 0)
            {
                printf("%d \n", (i + 1));
                break;
            }
        }
    }
    return 0;
}